#import "TQLogger.h"

@implementation TQLog

+ (os_log_t)navigation {
    static os_log_t log;
    static dispatch_once_t once;
    dispatch_once(&once, ^{
        log = os_log_create(TQ_LOG_SUBSYSTEM, "Navigation");
    });
    return log;
}

+ (os_log_t)download {
    static os_log_t log;
    static dispatch_once_t once;
    dispatch_once(&once, ^{
        log = os_log_create(TQ_LOG_SUBSYSTEM, "Download");
    });
    return log;
}

@end
